# rpmio.h File Reference

`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmsw.h>`

Include dependency graph for rpmio.h:

Go to the source code of this file.

## Typedefs
typedef off_t | _libio_off_t
| Hide libio API lossage.
typedef off_t | _libio_pos_t
typedef struct FDIO_s * | FDIO_t
## Functions
RPMIO Interface.
const char * | Fstrerror (FD_t fd)
| strerror(3) clone.
ssize_t | Fread (void *buf, size_t size, size_t nmemb, FD_t fd)
| fread(3) clone.
ssize_t | Fwrite (const void *buf, size_t size, size_t nmemb, FD_t fd)
| fwrite(3) clone.
int | Fseek (FD_t fd, _libio_off_t offset, int whence)
| fseek(3) clone.
int | Fclose (FD_t fd)
| fclose(3) clone.
FD_t | Fdopen (FD_t ofd, const char *fmode)
FD_t | Fopen (const char *path, const char *fmode)
| fopen(3) clone.
int | Fflush (FD_t fd)
| fflush(3) clone.
int | Ferror (FD_t fd)
| ferror(3) clone.
int | Fileno (FD_t fd)
| fileno(3) clone.
int | Fcntl (FD_t fd, int op, void *lip)
| fcntl(2) clone.

## Detailed Description

Definition in file rpmio.h.

## Typedef Documentation

typedef off_t _libio_pos_t

Definition at line 35 of file rpmio.h.